package w83a.w83aManager;


import java.util.HashMap;
import w83a.w83aBeans.W83aDocBean;
import w83a.w83aDAO.W83aFactoriaDAO;
import w83a.w83aUtilidadesComunes.W83aClsTrazas;



public class W83aDocumentacion implements W83aIDocumentacion {
	
	public java.util.HashMap buscarDocumentacion(w83a.w83aBeans.W83aDocumentacionBean param) throws Exception{
		
		W83aClsTrazas.trazaError(null,"En buscarDocumentacion del manager inicio-> ",null);
		
		HashMap listaDocumentacion = W83aFactoriaDAO.getDocumentacionDAO().buscarDocumentacion(param);
		
		W83aClsTrazas.trazaError(null,"En buscarDocumentacion del manager fin-> ",null);
		
		return listaDocumentacion;	
	}
	public W83aDocBean descargarDocumento(String param) throws Exception {
		String[] campos=param.split("_");
		String id=campos[0];
		String tipo=campos[1];
		W83aDocBean doc=new W83aDocBean();
		if("ACTA".equals(tipo)){
			doc= W83aFactoriaDAO.getActaDAO().descargarDocumento(id);
		}else if("PREAVISO".equals(tipo)){
			doc= W83aFactoriaDAO.getPreavisosDAO().descargarDocumento(id);
		}else if("IMPUGNACION".equals(tipo)){
			doc=  W83aFactoriaDAO.getImpugnacionesDAO().descargarDocumento(id);
		}else if("INCIDENCIA".equals(tipo)){
			doc= W83aFactoriaDAO.getIncidenciaDAO().descargarDocumento(id);
		}
		return doc;
		
		
	}

}